// STEEL.DCL
//
// Dialogue for STEEL.LSP
//
//    Copyright (C) 1995 by David R. King
//                          200 Philip Drive
//                          Fall River, NS, Canada B2T 1H7
//                          (902) 861-4922
//                          INTERNET ADDRESS: drking@atcon.com
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.



info1 : dialog {
  key = "prop";
  : row {
    : image {
      height = 7;
      aspect_ratio = 1.5;
      color = 0;
      key = "_slide";
    }
    : text {
      key = "pp";
      height = 7;
      width = 24;
    }
  }
  ok_only;
}

steel : dialog {
  key = "title";
  : row {
    : column {
      : list_box {
        label = "Pick Shape Type:";
        width = 21;
        height = 8;
        allow_accept = true;
        key = "shape_type";
	mnemonic = "T";
      }
//      spacer;
      : button {
        label = "List";
        fixed_width = false;
        key = "do_list";
	mnemonic = "L";
      }
    }
    : column {
//      spacer;
      : list_box {
        width = 21;
        height = 9;
        color = 2;
        fixed_width = false;
        key = "shape_list";
      }
//      spacer;
      : button {
          label = "Properties";
          fixed_width = false;
          is_enabled = false;
          key = "do_prop";
	  mnemonic = "r";
      }
    }
  }
  : boxed_column {
    : row {
      : edit_box {
        label = "Shape Name:";
        key = "shape_name";
      }
      : button {
        label = "List";
        fixed_width = true;
        width = 8;
        key = "do_list1";
	mnemonic = "s";
      }
    }
  }
//  spacer;
  : boxed_column {
    label = "Rotation:";
    : row {
      : radio_button {
        label = "0.0";
        key = "r_1";
      }
      : radio_button {
        label = "90.0";
        key = "r_2";
      }
      : radio_button {
        label = "180.0";
        key = "r_3";
      }
      : radio_button {
        label = "270.0";
        key = "r_4";
      }
      : radio_button {
        label = "Other";
        key = "r_5";
      }
    }
//    spacer;
    : row {
      : edit_box {
        label = "Angle:";
        value = "0.0";
        key = "r_a";
      }
      : button {
        label = "Pick <";
        key = "pick_ra";
	mnemonic = "P";
      }
    }
  }
//  spacer;
  : row {
    : radio_column {
//      spacer;
      label = "X-axis:";
      : radio_button {
        label = "Left";
        key = "x_1";
      }
      : radio_button {
        label = "Cen.";
        key = "x_2";
      }
      : radio_button {
        label = "Right";
        key = "x_3";
      }
    }
    spacer;
    : radio_column {
//      spacer;
      label = "Y-axis:";
      : radio_button {
        label = "Top";
        key = "y_1";
      }
      : radio_button {
        label = "Cen.";
        key = "y_2";
      }
      : radio_button {
        label = "Bot.";
        key = "y_3";
      }
    }
//    spacer;
    : column {
//      spacer;
      : boxed_radio_row {
        label = "Units:";
        : radio_button {
          label = "Metric";
          key = "sf1";
	  mnemonic = "M";
        }
        : radio_button {
          label = "Imperial";
          key = "sf2";
	  mnemonic = "I";
        }
      }
//      spacer;
      : toggle {
        label = "Keep settings";
        key = "k_s";
	mnemonic = "K";
      }
      :row {
       : button {
         label = "Draw Shape";
         key = "accept";
	   mnemonic = "D";
       }
       : cancel_button {
         is_default = true;
	 }
	}
      
    }
  }
//  spacer;
  : text {
    key = "message";
  }
}
